Subject: Re: bug#8355: 24.0.50; Boxes in mode-line and scrolling

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Dec 2020 21:27:57 +0200

> From: Antoine Levitt <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 14 Dec 2020 20:02:22 +0100
> 
> 14 December 2020 19:25 +01, Eli Zaretskii:
> > Thanks, please try the latest master branch.  I hope I improved the
> > situation some more.
> 
> Oh wow, that's awesome! I'll try it out some more but it seems that the
> problem is mostly gone (ie it still happens sometimes, but pretty
> rarely).

AFAICT, it generally happens when you have a continued line around the
place where the new window-start should be.  Then Emacs will move
window-start one or more screen lines to start after a newline, and
you have a mismatch going back.